@echo off
tasm -m -q -t tetris.asm
if errorlevel 1 goto end
tasm -m -q -t gen_pcs.asm
if errorlevel 1 goto end
tasm -m -q -t gen_font.asm
if errorlevel 1 goto end
tlink -t tetris.obj
tlink -t gen_pcs.obj
tlink -t gen_font.obj
gen_pcs
gen_font
copy /b tetris.fn1+tetris.pcs tetris.dat
:end
ctty nul
del gen_*.com
del tetris.pcs
del tetris.fn1
del *.obj
del *.map
ctty con
